<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Presensi</title>
    <link rel="stylesheet" th:href="@{/style.css}">
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Edit</h5>
                                        <span class="h2 font-weight-bold mb-0">Presensi</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">List Attendance</h3>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-4">
                                <table
                                        id="table"
                                        data-filter-control="true"
                                        data-search="true"
                                        data-show-refresh="true"
                                        data-flat="true"
                                        data-auto-refresh-interval = 6
                                        data-auto-refresh="true"
                                        data-pagination="true"
                                        th:attr="data-url=@{/data-presensi-mahasiswa(id=${presensi.id})}"
                                        data-side-pagination="client">
                                </table>
                            </div>
                            <div class="col-md-8">
                                <input type="hidden" id="presensiDosen" th:value="${presensi.id}">
                                <input type="hidden" id="url" th:value="${'/uploaded/' + presensi.id + '/barcode/'}">
                                <div class="table-responsive">
                                    <center>
                                        <img id="barcodeImage"
                                             th:src="@{/uploaded/{presensi}/barcode/ (presensi = ${presensi.id})}"
                                             width="500px;" height="500px" alt="">
                                    </center>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

    </div>

</div>
</body>

</html>
<link href="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.css" rel="stylesheet">
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.js"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/extensions/filter-control/bootstrap-table-filter-control.min.js"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/extensions/auto-refresh/bootstrap-table-auto-refresh.min.js"></script>
<script src="https://unpkg.com/html5-qrcode" type="text/javascript"></script>
<script>
    setInterval(function() {
        var url = '/refrshBarcode?id=' + $('#presensiDosen').val()
        $.getJSON(url, function (data) {
        })
    }, 29000);

    setInterval(function() {
        var myImageElement = document.getElementById('barcodeImage');
        myImageElement.src = $('#url').val()
    }, 30000);


    var $table = $('#table')

    $(function() {
        $table.bootstrapTable({
            columns: [{
                field: 'nim',
                title : 'NIM',
                sortable: true,
                align: 'center',
                valign: 'middle'
            }, {
                title: 'Nama',
                field: 'nama',
                align: 'center',
                valign: 'middle',
                sortable: true
            }, {
                title: 'Waktu',
                field: 'time',
                align: 'center',
                valign: 'middle',
                sortable: true
            }, {
                title: 'Status',
                field: 'presensi',
                align: 'center',
                valign: 'middle',
                sortable: true
            }]
        })
    })
</script>